/*
 * Created on 2005-05-14
 */
package tests;

import junit.framework.TestCase;
import world.Harbour;
import world.Location;
import world.MeanOfTransportation;

/**
 * Tests the habrour class.
 * @author Piotrek
 */
public class HarbourTest extends TestCase
{
	/**
	 * Tests the constructor.
	 * @author Piotrek
	 */
	public void testHarbour()
	{
		Harbour harbour = new Harbour(new Location(12, 14), "Test1234");
		
		if (harbour.GetMeanOfTransportation() != MeanOfTransportation.SHIP)
			TestCase.fail("A new instance of a harbour has a wrong mean of transportations assigned.");
		
		if (!harbour.GetLocation().IsEqual(new Location (12, 14)))
			TestCase.fail("The harbour has a wrong location assigned just after the construction.");
		
		if (harbour.name.compareTo("Test1234") != 0)
			TestCase.fail("The harbour has a wrong name assigned just after the construction.");
	}
}
